### Function

# Qmi MessageWdaSetDataFormatInput new

since: 1.10

#### Declaration [src]

    QmiMessageWdaSetDataFormatInput*
    qmi_message_wda_set_data_format_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdaSetDataFormatInput`.

Available since: 1.10

#### Return value

Type: `QmiMessageWdaSetDataFormatInput`

The newly created `QmiMessageWdaSetDataFormatInput`. The returned value should be freed with qmi_message_wda_set_data_format_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.